#!/bin/bash
set -e
SERVER=$1
if [[ -z "${SERVER}" ]]; then echo 'No SERVER'; exit 1; fi

#https://docs.docker.com/engine/install/debian/

ssh root@${SERVER} bash -- << EOF
set -e
apt update -qq
apt-get install ca-certificates curl -qq
install -m 0755 -d /etc/apt/keyrings
curl -fsSL https://download.docker.com/linux/debian/gpg -o /etc/apt/keyrings/docker.asc
chmod a+r /etc/apt/keyrings/docker.asc
echo \
  "deb [arch=\$(dpkg --print-architecture) signed-by=/etc/apt/keyrings/docker.asc] https://download.docker.com/linux/debian \
  \$(. /etc/os-release && echo "\$VERSION_CODENAME") stable" | \
  tee /etc/apt/sources.list.d/docker.list > /dev/null
apt update -qq
sysctl net.ipv6.conf.all.disable_ipv6=1
sysctl net.ipv6.conf.default.disable_ipv6=1
echo 'net.ipv6.conf.all.disable_ipv6=1' > /etc/sysctl.d/90-disable-ipv6.conf
echo 'net.ipv6.conf.default.disable_ipv6=1' >> /etc/sysctl.d/90-disable-ipv6.conf
apt-get install docker-ce docker-ce-cli containerd.io docker-buildx-plugin docker-compose-plugin -qq
docker run hello-world
EOF